Pipeline Abstraction
====================

.. contents::

.. module:: qrenderdoc

Pipeline
--------

.. autoclass:: qrenderdoc.CommonPipelineState
  :members:
  :undoc-members:

Bindings
--------

.. autoclass:: qrenderdoc.BoundResource
  :members:
  :undoc-members:

.. autoclass:: qrenderdoc.BoundVBuffer
  :members:
  :undoc-members:

.. autoclass:: qrenderdoc.BoundCBuffer
  :members:
  :undoc-members:

.. autoclass:: qrenderdoc.VertexInputAttribute
  :members:
  :undoc-members:

.. autoclass:: qrenderdoc.Viewport
  :members:
  :undoc-members:

